/******************************************************************
*  源程序名：ModelTask4_3_2.cpp                  　 　　　　　　　*
*  功能：从键盘输入若干个非0整数，求其中的最大值。当输入0时结束。 *
******************************************************************/
#include <iostream.h>
void main()
{
	int max,num;//分别用于存放当前最大值和从键盘接收整数
	cout<<"请输入若干整数，以0结束：";
	cin>>num;
	max=num;  //把第一个输入的数看作最大
	while (num!=0)//输入0时结束判断
	{
		if (max<num)//如果当前最大值比输入的数小，让最大值等于该数
			max=num;
		cin>>num;//从键盘接收下一个数
	}
	if (max!=0)//处理输出的第一个值就是0的情况
		cout<<"输入数中的最大值是："<<max<<endl;//输出最大值
	else
		cout<<"未输入有效值！"<<endl;
}